{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments I, gather",
            "baseCommand": "gpx_make_outputs",
            "arguments": [
                "-unzip",
                "*",
                "-num-partitions",
                "1"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_make_outputs.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blast.#.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_make_outputs.cwl/output_name"
                }
            ],
            "id": "#gpx_make_outputs.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "blast.*.asn"
                    },
                    "id": "#gpx_make_outputs.cwl/blast_align"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments I, scatter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-affinity",
                "subject",
                "-max-batch-length",
                "10000",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blastdb",
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_1.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_1.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_1.cwl/seqids"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_1.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_1.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments I, execute",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "tblastn_wnode",
            "arguments": [
                "-align_filter",
                "pct_identity_gapopen_only >= 75",
                "-backlog",
                "1",
                "-comp_based_stats",
                "F",
                "-dbsize",
                "6000000000",
                "-delay",
                "0",
                "-evalue",
                "0.1",
                "-gapextend",
                "2",
                "-gapopen",
                "9",
                "-matrix",
                "BLOSUM62",
                "-max-jobs",
                "1",
                "-seg",
                "no",
                "-soft_masking",
                "true",
                "-threshold",
                "21",
                "-word_size",
                "6",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#tblastn_wnode_1.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode_1.cwl/blastdb_dir"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-db_gencode"
                    },
                    "id": "#tblastn_wnode_1.cwl/db_gencode"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#tblastn_wnode_1.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#tblastn_wnode_1.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode_1.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#tblastn_wnode_1.cwl/outdir"
                }
            ],
            "id": "#tblastn_wnode_1.cwl"
        },
        {
            "class": "Workflow",
            "label": "Seed Protein Alignments I",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "int",
                    "id": "#main/db_gencode"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_make_outputs/blast_align",
                    "id": "#main/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_make_outputs.cwl",
                    "in": [
                        {
                            "source": "#main/tblastn_wnode/outdir",
                            "id": "#main/gpx_make_outputs/input_path"
                        }
                    ],
                    "out": [
                        "#main/gpx_make_outputs/blast_align"
                    ],
                    "id": "#main/gpx_make_outputs"
                },
                {
                    "run": "#gpx_qsubmit_1.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/gpx_qsubmit/seqids"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/gpx_qsubmit/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/gpx_qsubmit/jobs"
                    ],
                    "id": "#main/gpx_qsubmit"
                },
                {
                    "run": "#tblastn_wnode_1.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/tblastn_wnode/asn_cache"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/tblastn_wnode/blastdb_dir"
                        },
                        {
                            "source": "#main/db_gencode",
                            "id": "#main/tblastn_wnode/db_gencode"
                        },
                        {
                            "source": "#main/gpx_qsubmit/jobs",
                            "id": "#main/tblastn_wnode/input_jobs"
                        },
                        {
                            "source": "#main/uniColl_asn_cache",
                            "id": "#main/tblastn_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/tblastn_wnode/outdir"
                    ],
                    "id": "#main/tblastn_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
